function [y1, y2, x1, x2]=jacksubsamples(y,x,p)

[T,n,k]=size(x);
Th=zeros(n,1);
Tind=[1:T]';
Tia=zeros(n,1);

Tsa=zeros(n,1);
Tea=zeros(n,1);
Tsb=zeros(n,1);
Teb=zeros(n,1);

x1=NaN(T,n,k); x2=NaN(T,n,k);
y1=NaN(T,n);  y2=NaN(T,n);
for i=1:n
    xi=squeeze(x(:,i,:));
    yi=y(:,i);
    isob=sum(isnan([yi,xi]),2)==0;
    Ts=min(Tind(isob)); Tsa(i,1)=Ts;
    Te=max(Tind(isob));
    Ti=sum(isob); Tia(i,1)=Ti;
    Th(i,1)=floor((Ti+p)/2);  
    
    Tsa(i,1)=Ts; Tea(i,1)=Ts+Th(i,1)-1;
    Tsb(i,1)=Ts+Th(i,1)-1; Teb(i,1)=Te;
        
    x1(Ts:Ts+Th(i,1)-1,i,:)=x(Ts:Ts+Th(i,1)-1,i,:); 
    y1(Ts:Ts+Th(i,1)-1,i)=y(Ts:Ts+Th(i,1)-1,i);
    x2(Ts+Th(i,1)-1:Te,i,:)=x(Ts+Th(i,1)-1:Te,i,:); 
    y2(Ts+Th(i,1)-1:Te,i)=y(Ts+Th(i,1)-1:Te,i);
end






return