function [betahat, xim, sx, betavar]=ardlpmg(y,x)

[T,n]=size(x);
xim=zeros(T-1,n);
% estimation
sx=0; sy=0;
for i=1:n
 xi=x(2:T,i);
 yi=y(2:T,i);

Wi=[y(2:T,i)-y(1:T-1,i),x(2:T,i)-x(1:T-1,i), ones(T-1,1)]; 
Hi=[y(1:T-1,i),x(2:T,i),x(1:T-1,i), ones(T-1,1)]; 
P=Hi*inv(Hi'*Hi)*Hi';
M=P-P*Wi*inv(Wi'*P*Wi)*Wi'*P;


ximi=M*xi;
sx=sx+ximi'*ximi;
sy=sy+xi'*M*yi;
xim(:,i)=ximi;
end
betahat=sy/sx;



% now compute variance
sv=0;
sx=sx/(T-1)/(T-1)/n;
for i=1:n
    xi=x(2:T,i);
    yi=y(2:T,i);

    Wi=[y(2:T,i)-y(1:T-1,i),x(2:T,i)-x(1:T-1,i), ones(T-1,1)];
    Hi=[y(1:T-1,i),x(2:T,i),x(1:T-1,i), ones(T-1,1)];
    P=Hi*inv(Hi'*Hi)*Hi';
    M=P-P*Wi*inv(Wi'*P*Wi)*Wi'*P;
    
    vinm= (yi-betahat*xi);
    sv=sv+((xi'*M*vinm/T)^2)/n;
end
OM=sv/sx/sx;
betavar=OM/T/T/n;

return