function [betahatj1, betavarj1]=ardlpmg_vj(y,x, kappa, p)

[T,n]=size(x);

Th=floor((T+p)/2);
x1=x(1:Th,:); y1=y(1:Th,:);
x2=x(Th:T,:); y2=y(Th:T,:);

[betahat, xim, sx]=ardlpmg(y,x);
[betahat1, xima]=ardlpmg(y1,x1);
[betahat2, ximb]=ardlpmg(y2,x2);
Ta=size(xima,1); Tb=size(ximb,1); Tf=size(xim,1);
ximaf=zeros(size(xim)); ximbf=zeros(size(ximb));
ximaf(1:Ta,:)=xima;
ximbf(Tf-Tb+1:Tf,:)=ximb;


betahatj1=betahat-kappa*((betahat1+betahat2)/2-betahat);

ximf=xim*(1+kappa)-ximaf*(kappa/2)*4-ximbf*(kappa/2)*4;
% now compute variance

sv=0;
sx=sx/(T-1)/(T-1)/n;
for i=1:n
    xi=x(2:T,i);
    yi=y(2:T,i);
  
    vinm= (yi-betahatj1*xi);
    sv=sv+((ximf(:,i)'*vinm/T)^2)/n;
end
OM=sv/sx/sx;
betavarj1=OM/T/T/n;


return