%% This script saves the results to xls. It assumes results are already loaded in the matlab workspace

xlsfile='results.xlsx'; % destination file

 filename=[pwd,'\',xlsfile] % displays the location of output file
 sheet_name='MC_results';
 
  Excel = actxserver('Excel.Application');

        readOnly = false;
         ExcelWorkbook   =   Excel.workbooks.Open(filename,0,readOnly); 
        if ExcelWorkbook.ReadOnly ~= 0
            %This means the file is probably open in another process.
            error(message('MATLAB:xlswrite:LockedFile', filename));
        end
 
   ExcelFile.ExcelWorkbook=ExcelWorkbook;
   ExcelFile.Excel=Excel;
   ExcelFile.file=filename;
   
   
    ExcelFile.ExcelWorkbook=xlswrite_alex(ExcelFile,bias1*100,sheet_name,'C6');
    ExcelFile.ExcelWorkbook=xlswrite_alex(ExcelFile,bias2*100,sheet_name,'C13');
    ExcelFile.ExcelWorkbook=xlswrite_alex(ExcelFile,bias3*100,sheet_name,'C20');
    ExcelFile.ExcelWorkbook=xlswrite_alex(ExcelFile,bias4*100,sheet_name,'C27');
    ExcelFile.ExcelWorkbook=xlswrite_alex(ExcelFile,bias5*100,sheet_name,'C34');
    ExcelFile.ExcelWorkbook=xlswrite_alex(ExcelFile,bias6*100,sheet_name,'C41');
    ExcelFile.ExcelWorkbook=xlswrite_alex(ExcelFile,bias7*100,sheet_name,'C48');
    ExcelFile.ExcelWorkbook=xlswrite_alex(ExcelFile,bias8*100,sheet_name,'C55');
    
    ExcelFile.ExcelWorkbook=xlswrite_alex(ExcelFile,rmse1*100,sheet_name,'J6');
    ExcelFile.ExcelWorkbook=xlswrite_alex(ExcelFile,rmse2*100,sheet_name,'J13');
    ExcelFile.ExcelWorkbook=xlswrite_alex(ExcelFile,rmse3*100,sheet_name,'J20');    
    ExcelFile.ExcelWorkbook=xlswrite_alex(ExcelFile,rmse4*100,sheet_name,'J27');   
    ExcelFile.ExcelWorkbook=xlswrite_alex(ExcelFile,rmse5*100,sheet_name,'J34');   
    ExcelFile.ExcelWorkbook=xlswrite_alex(ExcelFile,rmse6*100,sheet_name,'J41');   
    ExcelFile.ExcelWorkbook=xlswrite_alex(ExcelFile,rmse7*100,sheet_name,'J48');   
    ExcelFile.ExcelWorkbook=xlswrite_alex(ExcelFile,rmse8*100,sheet_name,'J55');  

    ExcelFile.ExcelWorkbook=xlswrite_alex(ExcelFile,sizemc1*100,sheet_name,'Q6');
    ExcelFile.ExcelWorkbook=xlswrite_alex(ExcelFile,sizemc2*100,sheet_name,'Q13');
    ExcelFile.ExcelWorkbook=xlswrite_alex(ExcelFile,sizemc3*100,sheet_name,'Q20'); 
    ExcelFile.ExcelWorkbook=xlswrite_alex(ExcelFile,sizemc4*100,sheet_name,'Q27');    
    ExcelFile.ExcelWorkbook=xlswrite_alex(ExcelFile,sizemc5*100,sheet_name,'Q34');    
    ExcelFile.ExcelWorkbook=xlswrite_alex(ExcelFile,sizemc6*100,sheet_name,'Q41');    
    ExcelFile.ExcelWorkbook=xlswrite_alex(ExcelFile,sizemc7*100,sheet_name,'Q48');    
    ExcelFile.ExcelWorkbook=xlswrite_alex(ExcelFile,sizemc8*100,sheet_name,'Q55');    

    ExcelFile.ExcelWorkbook=xlswrite_alex(ExcelFile,power1*100,sheet_name,'X6');
    ExcelFile.ExcelWorkbook=xlswrite_alex(ExcelFile,power2*100,sheet_name,'X13');
    ExcelFile.ExcelWorkbook=xlswrite_alex(ExcelFile,power3*100,sheet_name,'X20');      
    ExcelFile.ExcelWorkbook=xlswrite_alex(ExcelFile,power4*100,sheet_name,'X27'); 
    ExcelFile.ExcelWorkbook=xlswrite_alex(ExcelFile,power5*100,sheet_name,'X34'); 
    ExcelFile.ExcelWorkbook=xlswrite_alex(ExcelFile,power6*100,sheet_name,'X41'); 
    ExcelFile.ExcelWorkbook=xlswrite_alex(ExcelFile,power7*100,sheet_name,'X48'); 
    ExcelFile.ExcelWorkbook=xlswrite_alex(ExcelFile,power8*100,sheet_name,'X55'); 
   
    
    Excel.DisplayAlerts = false;
    ExcelWorkbook.Save
    ExcelWorkbook.Close(false);
    Excel.Quit;
    
disp('All done.')    